VERSION 5.00
Begin VB.Form CustomizeToolbarForm 
   Caption         =   "Customize Toolbar"
   ClientHeight    =   2025
   ClientLeft      =   3330
   ClientTop       =   2670
   ClientWidth     =   3210
   LinkTopic       =   "Form2"
   ScaleHeight     =   2025
   ScaleWidth      =   3210
   Begin VB.CommandButton cmdCancel 
      Cancel          =   -1  'True
      Caption         =   "Cancel"
      Height          =   375
      Left            =   2400
      TabIndex        =   2
      Top             =   720
      Width           =   735
   End
   Begin VB.CommandButton cmdOk 
      Caption         =   "Ok"
      Default         =   -1  'True
      Height          =   375
      Left            =   2400
      TabIndex        =   1
      Top             =   120
      Width           =   735
   End
   Begin VB.CheckBox chkButton 
      Height          =   255
      Index           =   0
      Left            =   0
      TabIndex        =   0
      Top             =   0
      Visible         =   0   'False
      Width           =   4095
   End
End
Attribute VB_Name = "CustomizeToolbarForm"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdOk_Click()
Dim i As Integer

    ' Save the new settings and make the buttons.
    For i = 1 To NumButtons
        ButtonSelected(i) = _
            (chkButton(i).Value = vbChecked)
    Next i

    SaveConfiguration
    CustToolForm.MakeButtons

    Unload Me
End Sub


' Initialize the configuration.
Private Sub Form_Load()
Dim i As Integer

    For i = 1 To NumButtons
        Load chkButton(i)
        If i = 1 Then
            chkButton(i).Top = 0
        Else
            chkButton(i).Top = _
                chkButton(i - 1).Top + _
                chkButton(i - 1).Height + 120
        End If
        If ButtonSelected(i) Then
            chkButton(i).Value = vbChecked
        Else
            chkButton(i).Value = vbUnchecked
        End If
        chkButton(i).Caption = _
            CustToolForm.ilstToolbarImages.ListImages(i).Tag
        chkButton(i).Visible = True
    Next i

    Height = Height - ScaleHeight + _
        chkButton(NumButtons).Top + _
        chkButton(NumButtons).Height
End Sub
